<?php
require_once('catalog/view/theme/social/' . 'Mobile_Detect.php');
$detect = new Mobile_Detect();
if($detect->isMobile() && !$detect->isTablet()) : ?>

<!DOCTYPE html>
<html dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>">
<head>
<meta charset="UTF-8" />
<title><?php echo $title; ?></title>
<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
<base href="<?php echo $base; ?>" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="apple-mobile-web-app-status-bar-style" content="black" />
<base href="<?php echo $base; ?>" />
<?php if ($description) { ?>
<meta name="description" content="<?php echo $description; ?>" />
<?php } ?>
<?php if ($keywords) { ?>
<meta name="keywords" content="<?php echo $keywords; ?>" />
<?php } ?>
<?php if ($icon) { ?>
<link href="<?php echo $icon; ?>" rel="icon" />
<?php } ?>
<?php foreach ($links as $link) { ?>
<link href="<?php echo $link['href']; ?>" rel="<?php echo $link['rel']; ?>" />
<?php } ?>

<link rel="stylesheet" href="catalog/view/theme/social/stylesheet/stylesheet-mobile.css" />
<script src="catalog/view/theme/social/javascript/jquery-1.7.2.min.js"></script>
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/external/jquery.cookie.js"></script>
<script type="text/javascript" src="catalog/view/javascript/jquery/tabs.js"></script>
<script type="text/javascript" src="catalog/view/javascript/common.js"></script>
<link rel="stylesheet" href="catalog/view/theme/social/stylesheet/jquery.mobile-1.2.0.min.css" />
<script src="catalog/view/theme/social/javascript/jquery.mobile-1.2.0.min.js"></script>
<script src="catalog/view/theme/social/javascript/social-mobile.js"></script>

<?php foreach ($scripts as $script) { ?>
<script type="text/javascript" src="<?php echo $script; ?>"></script>
<?php } ?>

</head>

<body <?php if((!array_key_exists('route',$this->request->get)) || ($this->request->get['route'] == 'common/home')){?>id="home" <?php }?> >

<div data-role="page" id="page1">

    <div id="header" data-theme="d" data-role="header">
	<?php if ($logo) { ?>
	<img id="logo" src="<?php echo $logo; ?>" title="<?php echo $name; ?>" alt="<?php echo $name; ?>" />
	<?php } ?>
	</div>

	<div data-role="content">
	<?php echo $cart; ?>
		<div id="notification"></div>
		
		<div id="category-page">
		<?php if ($categories) { ?>
		<a href="#popupNested" data-rel="popup" data-role="button" data-inline="true" data-mini="true" data-icon="arrow-d"><?php echo $text_category_m; ?></a>
		<?php } ?>
		<a href="#popupMenu" data-rel="popup" data-role="button" data-inline="true" data-mini="true" data-icon="info"><?php echo $text_pages_m; ?></a>
		</div>
		
		<?php echo $currency; ?>
		<?php echo $language; ?>
		
	
		<div id="search">
			<div data-role="fieldcontain">
			<input type="search" name="search" placeholder="<?php echo $text_search; ?>" value="<?php echo $search; ?>" />
				<div class="button-search">
					<div data-role="content">
					<input data-theme="b" data-icon="search" data-iconpos="right" data-mini="true" value="<?php echo $text_search; ?>" type="submit">
					</div>
				</div>
			</div>
		</div>		
		
		
		<div data-role="popup" id="popupMenu" data-theme="a">
				<ul data-role="listview" data-inset="true" style="min-width:230px;" data-theme="e">
					<li data-role="divider" data-theme="a"><?php echo $text_pages_m; ?></li>
					<li><a data-ajax="false" href="<?php echo $home; ?>"><?php echo $text_home; ?></a></li>
					<li><a data-ajax="false" href="<?php echo $account; ?>"><?php echo $text_account; ?></a></li>
					<li><a data-ajax="false" href="<?php echo $affiliate; ?>"><?php echo $text_affiliate; ?></a></li>
					<li><a data-ajax="false" href="<?php echo $contact; ?>"><?php echo $text_contact; ?></a></li>
					<li><a data-ajax="false" href="<?php echo $sitemap; ?>"><?php echo $text_sitemap; ?></a></li>
					<?php foreach ($informations as $information) { ?>
					<li><a data-ajax="false" href="<?php echo $information['href']; ?>"><?php echo $information['title']; ?></a></li>
					<?php } ?>

				</ul>
		</div>
			
		<?php if ($categories) { ?>
			<div data-role="popup" id="popupNested" data-theme="none">
				<div data-role="collapsible-set" data-theme="b" data-content-theme="c" data-collapsed-icon="arrow-r" data-expanded-icon="arrow-d" style="margin:0; width:230px;">
				<?php foreach ($categories as $category) { ?>
					<div data-role="collapsible" data-inset="false">
					<h2><?php echo $category['name']; ?></h2>
					<ul data-role="listview">
					<?php if ($category['children']) { ?>
						<?php for ($i = 0; $i < count($category['children']);) { ?>
							<ul data-role="listview">
							<?php $j = $i + ceil(count($category['children'])); ?>
								<?php for (; $i < $j; $i++) { ?>
									<?php if (isset($category['children'][$i])) { ?>
									<li><a data-ajax="false" href="<?php echo $category['children'][$i]['href']; ?>"><?php echo $category['children'][$i]['name']; ?></a></li>
									<?php } ?>
								<?php } ?>
							</ul>
							<?php } ?>
						<?php } else { ?>
						<li><a data-ajax="false" href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a></li>
					<?php } ?>
					</ul>
					</div>
				<?php } ?>
				</div>
			</div>
		<?php } ?>
		
		
		
		
<?php else : ?>
<!DOCTYPE html>
<html dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>">
<head>
<meta charset="UTF-8" />
<title><?php echo $title; ?></title>
<meta name="viewport" content="width=device-width; initial-scale=1.0; minimum-scale=1.0, maximum-scale=1.0" >
<base href="<?php echo $base; ?>" />
<?php if ($description) { ?>
<meta name="description" content="<?php echo $description; ?>" />
<?php } ?>
<?php if ($keywords) { ?>
<meta name="keywords" content="<?php echo $keywords; ?>" />
<?php } ?>
<?php if ($icon) { ?>
<link href="<?php echo $icon; ?>" rel="icon" />
<?php } ?>
<?php foreach ($links as $link) { ?>
<link href="<?php echo $link['href']; ?>" rel="<?php echo $link['rel']; ?>" />
<?php } ?>
<link rel="stylesheet" type="text/css" href="catalog/view/theme/social/stylesheet/bootstrap.css" />
<link rel="stylesheet" type="text/css" href="catalog/view/theme/social/stylesheet/bootstrap-responsive.css" />
<link rel="stylesheet" type="text/css" href="catalog/view/theme/social/stylesheet/stylesheet.css" />
<link rel="stylesheet" type="text/css" href="catalog/view/theme/social/stylesheet/cloud-zoom.css" />
<link href='http://fonts.googleapis.com/css?family=Oswald&amp;text=0123456789' rel='stylesheet' type='text/css'>
<?php foreach ($styles as $style) { ?>
<link rel="<?php echo $style['rel']; ?>" type="text/css" href="<?php echo $style['href']; ?>" media="<?php echo $style['media']; ?>" />
<?php } ?>
<!--[if IE 9]>
<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<script type="text/javascript" src="catalog/view/javascript/jquery/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/jquery-ui-1.8.16.custom.min.js"></script>
<link rel="stylesheet" type="text/css" href="catalog/view/javascript/jquery/ui/themes/ui-lightness/jquery-ui-1.8.16.custom.css" />
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/external/jquery.cookie.js"></script>
<script type="text/javascript" src="catalog/view/javascript/jquery/colorbox/jquery.colorbox.js"></script>
<link rel="stylesheet" type="text/css" href="catalog/view/javascript/jquery/colorbox/colorbox.css" media="screen" />
<script type="text/javascript" src="catalog/view/javascript/jquery/tabs.js"></script>
<script type="text/javascript" src="catalog/view/javascript/common.js"></script>
<?php foreach ($scripts as $script) { ?>
<script type="text/javascript" src="<?php echo $script; ?>"></script>
<?php } ?>
<!--[if IE 7]>
<link rel="stylesheet" type="text/css" href="catalog/view/theme/social/stylesheet/ie7.css" />
<![endif]-->
<!--[if IE 8]>
<link rel="stylesheet" type="text/css" href="catalog/view/theme/social/stylesheet/ie8.css" />
<![endif]-->
<script type="text/javascript">
    /*@cc_on
      @if (@_jscript_version == 10)
          document.write(' <link type= "text/css" rel="stylesheet" href="catalog/view/theme/social/stylesheet/ie10.css" />');
      @end
    @*/
</script>
<!--[if lt IE 7]>
<link rel="stylesheet" type="text/css" href="catalog/view/theme/default/stylesheet/ie6.css" />
<script type="text/javascript" src="catalog/view/javascript/DD_belatedPNG_0.0.8a-min.js"></script>
<script type="text/javascript">
DD_belatedPNG.fix('#logo img');
</script>
<![endif]-->
<?php if ($stores) { ?>
<script type="text/javascript"><!--
$(document).ready(function() {
<?php foreach ($stores as $store) { ?>
$('body').prepend('<iframe src="<?php echo $store; ?>" style="display: none;"></iframe>');
<?php } ?>
});
//--></script>
<?php } ?>
<?php echo $google_analytics; ?>
<link rel="shortcut icon" href="ico/favicon.ico">
<link rel="apple-touch-icon-precomposed" sizes="144x144" href="catalog/view/theme/social/image/icon/apple-touch-icon-144-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="114x114" href="catalog/view/theme/social/image/icon/apple-touch-icon-114-precomposed.png">
<link rel="apple-touch-icon-precomposed" sizes="72x72" href="catalog/view/theme/social/image/icon/apple-touch-icon-72-precomposed.png">
<link rel="apple-touch-icon-precomposed" href="catalog/view/theme/social/image/icon/apple-touch-icon-57-precomposed.png">
</head>

<body <?php if((!array_key_exists('route',$this->request->get)) || ($this->request->get['route'] == 'common/home')){?>id="home" <?php }?> >
<div id="header">
    <div class="container-fluid">
		<div class="row-fluid">
			<div class="span8">
				<?php if ($logo) { ?>
				<div id="logo">
				<a href="<?php echo $home; ?>"><img src="<?php echo $logo; ?>" title="<?php echo $name; ?>" alt="<?php echo $name; ?>" /></a>
				</div>
				<?php } ?>
			</div>
					
			<div id="currency-language" class="span4">
			<?php echo $currency; ?>
			<?php echo $language; ?>
			</div>
		</div>
		
		<div id="search-actions" class="row-fluid">
			<div class="span6">
				<div id="search">
					<div class="button-search"></div>
					<input type="text" name="search" placeholder="<?php echo $text_search; ?>" value="<?php echo $search; ?>" />
					<span class="welcome"><?php echo $text_search_welcome; ?></span>
					</div>
				</div>
				
				<div id="cart-block" class="span2">
				<?php echo $cart; ?>
				</div>
				
				<div id="account-block" class="span2">
				<h4><?php echo $text_account; ?></h4>
				<span class="welcome">
				<?php if (!$logged) { ?>
					<?php echo $text_welcome; ?>
					<?php } else { ?>
					<?php echo $text_logged; ?>
					<?php } ?>
				</span>
				</div>
				
				<div id="wishlist-block" class="span2">
				<h4><?php echo $text_wishlist_title; ?></h4>
				<span class="welcome"><?php echo $text_wishlist_welcome; ?></span>
				<a href="<?php echo $wishlist; ?>"><?php echo $text_wishlist; ?></a>
				</div>
			</div>
		</div>
	

	<div class="navbar">
		<div class="container">
		<a class="btn btn-navbar" data-toggle="collapse" data-target=".navbar-responsive-collapse"><?php echo $text_categories_nav ;?></a>

			<?php if ($categories) { ?>
			<div class="nav-collapse collapse navbar-responsive-collapse">
			<ul class="nav">
				<?php foreach ($categories as $category) { ?>
					<?php if ($category['children']) { ?>
					<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown"><img src="<?php echo $category['thumb']; ?>" alt="" /> <?php echo $category['name']; ?> <b class="caret"></b></a>
						<?php for ($i = 0; $i < count($category['children']);) { ?>
						<ul class="dropdown-menu">
						<?php $j = $i + ceil(count($category['children']) / $category['column']); ?>
							<?php for (; $i < $j; $i++) { ?>
								<?php if (isset($category['children'][$i])) { ?>               
								<li class="dropdown-submenu">
									<?php if(count($category['children'][$i]['children_level2'])>0) {?>
									<a tabindex="-1" href="<?php echo $category['children'][$i]['href']; ?>"><img class="pull-left" src="<?php echo $category['children'][$i]['thumb']; ?>" alt="" /> <?php echo $category['children'][$i]['name']; ?>
									<span><?php echo $category['children'][$i]['description']; ?></span></a>
									<?php } else { ?>
									<a href="<?php echo $category['children'][$i]['href']; ?>"><img class="pull-left" src="<?php echo $category['children'][$i]['thumb']; ?>" alt="" /> <?php echo $category['children'][$i]['name']; ?>
									<span><?php echo $category['children'][$i]['description']; ?></span></a>
									<?php } ?>

									<?php if ($category['children'][$i]['children_level2']) { ?>
									<ul class="dropdown-menu">
										<?php for ($wi = 0; $wi < count($category['children'][$i]['children_level2']); $wi++) { ?>
										<li>
											<?php if(count($category['children'][$i]['children_level2'][$wi]['children_level3'])>0){ ?>
											<a href="<?php echo $category['children'][$i]['children_level2'][$wi]['href']; ?>"><img class="pull-left" src="<?php echo $category['children'][$i]['children_level2'][$wi]['thumb']; ?>" alt="" /> <?php echo $category['children'][$i]['children_level2'][$wi]['name']; ?>
											<span><?php echo $category['children'][$i]['children_level2'][$wi]['description']; ?></span></a>
											<?php } else { ?>
											<a href="<?php echo $category['children'][$i]['children_level2'][$wi]['href']; ?>"><img class="pull-left" src="<?php echo $category['children'][$i]['children_level2'][$wi]['thumb']; ?>" alt="" /> <?php echo $category['children'][$i]['children_level2'][$wi]['name']; ?>
											<span><?php echo $category['children'][$i]['children_level2'][$wi]['description']; ?></span></a>
											<?php } ?>

											<?php if ($category['children'][$i]['children_level2'][$wi]['children_level3']) { ?>
											<ul class="dropdown-menu">
												<?php for ($wid = 0; $wid < count($category['children'][$i]['children_level2'][$wi]['children_level3']); $wid++) { ?>
												<li>
												<a href="<?php echo $category['children'][$i]['children_level2'][$wid]['children_level3']['href']; ?>" ><?php echo $category['children'][$i]['children_level2'][$wi]['children_level3'][$wid]['name']; ?></a>
												</li>
												<?php } ?>
											</ul>
											<?php } ?>   
										</li>
										<?php } ?>
									</ul>
								<?php } ?>        
								</li>
								<?php } ?>
							<?php } ?>
						</ul>
						<?php } ?>
					</li>
				<?php } else {?>
					<li><a href="<?php echo $category['href']; ?>"><img src="<?php echo $category['thumb']; ?>" alt="" /> <?php echo $category['name']; ?></a></li>
				<?php } ?>
			<?php } ?>
			</ul>
			</div>
			<?php } ?>
		</div>
	</div>
	
	</div>

	<div id="container" class="container-fluid">
		<div id="notification"></div>

<?php endif; ?>